/******************************************************************
/* Breakpoints

Written as just the size. This allows combining of these queries
into something like "only screen and landscape and tablet-down"

Good read: http://zellwk.com/blog/media-query-units/
******************************************************************/

$landscape:        30em;      // 480px
$mobile-only:      38em;      // 608px
$tablet:           47.9em;    // 768px
$tablet-down:      47.9em;    // 768px
$tablet-landscape: 63.9375em; // 1023px
$laptop:           63.9375em; // 1023px
$desktop:          77.5em;    // 1240px
$cinema:           103.75em;  // 1660px

/* 	This mixin will help you nest mediaqueries easier.
	@Usage:
		@include wider-than(mobile) 	{ width: 55%; 	}
		@include wider-than(phablet) 	{ width: 65%; 	}
		@include wider-than(tablet) 	{ width: 75%;	}

	Uses the breakpoint map defined inside _breakpoints.scss
*/

$breakpoints: (
  landscape : $landscape,
  mobile    : $mobile-only,
  tablet    : $tablet,
  laptop    : $laptop,
  desktop   : $desktop,
  cinema    : $cinema
);

// min-width mediaquery
@mixin wider-than($screen-size) {
  @if map-has-key($breakpoints, $screen-size) {
      @media (min-width: map-get($breakpoints, $screen-size)) {
          @content;
      }
  } @else {
      // Debugging
      @warn "'#{$screen-size}' has not been declared as a breakpoint.";
  }
}

// max-width mediaquery
@mixin not-wider-than($screen-size) {
  @if map-has-key($breakpoints, $screen-size) {
      @media (max-width: map-get($breakpoints, $screen-size)) {
          @content;
      }
  } @else {
      // Debugging
      @warn "'#{$screen-size}' has not been declared as a breakpoint.";
  }
}
